Upstream information

CVE-2018-16838 at MITRE

Description

A flaw was found in sssd Group Policy Objects implementation. When the GPO is not readable by SSSD due to a too strict permission settings on the server side, SSSD will allow all authenticated users to login instead of denying access.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.5
Vector AV:N/AC:L/Au:S/C:P/I:P/A:N
Access Vector Network
Access Complexity Low
Authentication Single
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.4 5.4
Vector AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:L/A:N AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:L/A:N
Access Vector Network Network
Access Complexity Low Low
Privileges Required Low Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact Low Low
Integrity Impact Low Low
Availability Impact None None
CVSSv3 Version 3.0 3.0
SUSE Bugzilla entry: 1124194 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP3
  • libipa_hbac0 >= 1.13.4-34.37.1
  • libsss_idmap0 >= 1.13.4-34.37.1
  • libsss_nss_idmap0 >= 1.13.4-34.37.1
  • libsss_sudo >= 1.13.4-34.37.1
  • python-sssd-config >= 1.13.4-34.37.1
  • sssd >= 1.13.4-34.37.1
  • sssd-ad >= 1.13.4-34.37.1
  • sssd-ipa >= 1.13.4-34.37.1
  • sssd-krb5 >= 1.13.4-34.37.1
  • sssd-krb5-common >= 1.13.4-34.37.1
  • sssd-ldap >= 1.13.4-34.37.1
  • sssd-proxy >= 1.13.4-34.37.1
  • sssd-tools >= 1.13.4-34.37.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2019-1477
SUSE Linux Enterprise Desktop 12 SP4
  • libipa_hbac0 >= 1.16.1-4.12.2
  • libsss_certmap0 >= 1.16.1-4.12.2
  • libsss_idmap0 >= 1.16.1-4.12.2
  • libsss_nss_idmap0 >= 1.16.1-4.12.2
  • libsss_simpleifp0 >= 1.16.1-4.12.2
  • python-sssd-config >= 1.16.1-4.12.2
  • sssd >= 1.16.1-4.12.2
  • sssd-32bit >= 1.16.1-4.12.2
  • sssd-ad >= 1.16.1-4.12.2
  • sssd-ipa >= 1.16.1-4.12.2
  • sssd-krb5 >= 1.16.1-4.12.2
  • sssd-krb5-common >= 1.16.1-4.12.2
  • sssd-ldap >= 1.16.1-4.12.2
  • sssd-proxy >= 1.16.1-4.12.2
  • sssd-tools >= 1.16.1-4.12.2
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-1480
SUSE Linux Enterprise Module for Basesystem 15
  • libipa_hbac-devel >= 1.16.1-3.24.6
  • libipa_hbac0 >= 1.16.1-3.24.6
  • libsss_certmap-devel >= 1.16.1-3.24.6
  • libsss_certmap0 >= 1.16.1-3.24.6
  • libsss_idmap-devel >= 1.16.1-3.24.6
  • libsss_idmap0 >= 1.16.1-3.24.6
  • libsss_nss_idmap-devel >= 1.16.1-3.24.6
  • libsss_nss_idmap0 >= 1.16.1-3.24.6
  • libsss_simpleifp-devel >= 1.16.1-3.24.6
  • libsss_simpleifp0 >= 1.16.1-3.24.6
  • python3-sssd-config >= 1.16.1-3.24.6
  • sssd >= 1.16.1-3.24.6
  • sssd-ad >= 1.16.1-3.24.6
  • sssd-dbus >= 1.16.1-3.24.6
  • sssd-ipa >= 1.16.1-3.24.6
  • sssd-krb5 >= 1.16.1-3.24.6
  • sssd-krb5-common >= 1.16.1-3.24.6
  • sssd-ldap >= 1.16.1-3.24.6
  • sssd-proxy >= 1.16.1-3.24.6
  • sssd-tools >= 1.16.1-3.24.6
  • sssd-wbclient >= 1.16.1-3.24.6
  • sssd-wbclient-devel >= 1.16.1-3.24.6
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-1476
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libipa_hbac-devel >= 1.16.1-3.24.6
  • libipa_hbac0 >= 1.16.1-3.24.6
  • libsss_certmap-devel >= 1.16.1-3.24.6
  • libsss_certmap0 >= 1.16.1-3.24.6
  • libsss_idmap-devel >= 1.16.1-3.24.6
  • libsss_idmap0 >= 1.16.1-3.24.6
  • libsss_nss_idmap-devel >= 1.16.1-3.24.6
  • libsss_nss_idmap0 >= 1.16.1-3.24.6
  • libsss_simpleifp-devel >= 1.16.1-3.24.6
  • libsss_simpleifp0 >= 1.16.1-3.24.6
  • python3-sssd-config >= 1.16.1-3.24.6
  • sssd >= 1.16.1-3.24.6
  • sssd-ad >= 1.16.1-3.24.6
  • sssd-dbus >= 1.16.1-3.24.6
  • sssd-ipa >= 1.16.1-3.24.6
  • sssd-krb5 >= 1.16.1-3.24.6
  • sssd-krb5-common >= 1.16.1-3.24.6
  • sssd-ldap >= 1.16.1-3.24.6
  • sssd-proxy >= 1.16.1-3.24.6
  • sssd-tools >= 1.16.1-3.24.6
  • sssd-wbclient >= 1.16.1-3.24.6
  • sssd-wbclient-devel >= 1.16.1-3.24.6
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP1-2019-1476
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • libnfsidmap-sss >= 1.16.1-3.24.6
  • python3-ipa_hbac >= 1.16.1-3.24.6
  • python3-sss-murmur >= 1.16.1-3.24.6
  • python3-sss_nss_idmap >= 1.16.1-3.24.6
  • sssd >= 1.16.1-3.24.6
  • sssd-dbus >= 1.16.1-3.24.6
  • sssd-winbind-idmap >= 1.16.1-3.24.6
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2019-1476
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • libnfsidmap-sss >= 1.16.1-3.24.6
  • python3-ipa_hbac >= 1.16.1-3.24.6
  • python3-sss-murmur >= 1.16.1-3.24.6
  • python3-sss_nss_idmap >= 1.16.1-3.24.6
  • sssd >= 1.16.1-3.24.6
  • sssd-winbind-idmap >= 1.16.1-3.24.6
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2019-1476
SUSE Linux Enterprise Server 12 SP3
  • libipa_hbac0 >= 1.13.4-34.37.1
  • libsss_idmap0 >= 1.13.4-34.37.1
  • libsss_nss_idmap0 >= 1.13.4-34.37.1
  • libsss_sudo >= 1.13.4-34.37.1
  • python-sssd-config >= 1.13.4-34.37.1
  • sssd >= 1.13.4-34.37.1
  • sssd-ad >= 1.13.4-34.37.1
  • sssd-ipa >= 1.13.4-34.37.1
  • sssd-krb5 >= 1.13.4-34.37.1
  • sssd-krb5-common >= 1.13.4-34.37.1
  • sssd-ldap >= 1.13.4-34.37.1
  • sssd-proxy >= 1.13.4-34.37.1
  • sssd-tools >= 1.13.4-34.37.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-1477
SUSE Linux Enterprise Server 12 SP4
  • libipa_hbac0 >= 1.16.1-4.12.2
  • libsss_certmap0 >= 1.16.1-4.12.2
  • libsss_idmap0 >= 1.16.1-4.12.2
  • libsss_nss_idmap0 >= 1.16.1-4.12.2
  • libsss_simpleifp0 >= 1.16.1-4.12.2
  • python-sssd-config >= 1.16.1-4.12.2
  • sssd >= 1.16.1-4.12.2
  • sssd-32bit >= 1.16.1-4.12.2
  • sssd-ad >= 1.16.1-4.12.2
  • sssd-ipa >= 1.16.1-4.12.2
  • sssd-krb5 >= 1.16.1-4.12.2
  • sssd-krb5-common >= 1.16.1-4.12.2
  • sssd-ldap >= 1.16.1-4.12.2
  • sssd-proxy >= 1.16.1-4.12.2
  • sssd-tools >= 1.16.1-4.12.2
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-1480
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libipa_hbac0 >= 1.13.4-34.37.1
  • libsss_idmap0 >= 1.13.4-34.37.1
  • libsss_nss_idmap0 >= 1.13.4-34.37.1
  • libsss_sudo >= 1.13.4-34.37.1
  • python-sssd-config >= 1.13.4-34.37.1
  • sssd >= 1.13.4-34.37.1
  • sssd-ad >= 1.13.4-34.37.1
  • sssd-ipa >= 1.13.4-34.37.1
  • sssd-krb5 >= 1.13.4-34.37.1
  • sssd-krb5-common >= 1.13.4-34.37.1
  • sssd-ldap >= 1.13.4-34.37.1
  • sssd-proxy >= 1.13.4-34.37.1
  • sssd-tools >= 1.13.4-34.37.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-1477
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libipa_hbac0 >= 1.16.1-4.12.2
  • libsss_certmap0 >= 1.16.1-4.12.2
  • libsss_idmap0 >= 1.16.1-4.12.2
  • libsss_nss_idmap0 >= 1.16.1-4.12.2
  • libsss_simpleifp0 >= 1.16.1-4.12.2
  • python-sssd-config >= 1.16.1-4.12.2
  • sssd >= 1.16.1-4.12.2
  • sssd-32bit >= 1.16.1-4.12.2
  • sssd-ad >= 1.16.1-4.12.2
  • sssd-ipa >= 1.16.1-4.12.2
  • sssd-krb5 >= 1.16.1-4.12.2
  • sssd-krb5-common >= 1.16.1-4.12.2
  • sssd-ldap >= 1.16.1-4.12.2
  • sssd-proxy >= 1.16.1-4.12.2
  • sssd-tools >= 1.16.1-4.12.2
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-1480
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libipa_hbac-devel >= 1.13.4-34.37.1
  • libsss_idmap-devel >= 1.13.4-34.37.1
  • libsss_nss_idmap-devel >= 1.13.4-34.37.1
  • sssd >= 1.13.4-34.37.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2019-1477
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libipa_hbac-devel >= 1.16.1-4.12.2
  • libsss_idmap-devel >= 1.16.1-4.12.2
  • libsss_nss_idmap-devel >= 1.16.1-4.12.2
  • sssd >= 1.16.1-4.12.2
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-1480
openSUSE Leap 15.0
  • libipa_hbac-devel >= 1.16.1-lp150.2.16.1
  • libipa_hbac0 >= 1.16.1-lp150.2.16.1
  • libipa_hbac0-debuginfo >= 1.16.1-lp150.2.16.1
  • libnfsidmap-sss >= 1.16.1-lp150.2.16.1
  • libnfsidmap-sss-debuginfo >= 1.16.1-lp150.2.16.1
  • libsss_certmap-devel >= 1.16.1-lp150.2.16.1
  • libsss_certmap0 >= 1.16.1-lp150.2.16.1
  • libsss_certmap0-debuginfo >= 1.16.1-lp150.2.16.1
  • libsss_idmap-devel >= 1.16.1-lp150.2.16.1
  • libsss_idmap0 >= 1.16.1-lp150.2.16.1
  • libsss_idmap0-debuginfo >= 1.16.1-lp150.2.16.1
  • libsss_nss_idmap-devel >= 1.16.1-lp150.2.16.1
  • libsss_nss_idmap0 >= 1.16.1-lp150.2.16.1
  • libsss_nss_idmap0-debuginfo >= 1.16.1-lp150.2.16.1
  • libsss_simpleifp-devel >= 1.16.1-lp150.2.16.1
  • libsss_simpleifp0 >= 1.16.1-lp150.2.16.1
  • libsss_simpleifp0-debuginfo >= 1.16.1-lp150.2.16.1
  • python3-ipa_hbac >= 1.16.1-lp150.2.16.1
  • python3-ipa_hbac-debuginfo >= 1.16.1-lp150.2.16.1
  • python3-sss-murmur >= 1.16.1-lp150.2.16.1
  • python3-sss-murmur-debuginfo >= 1.16.1-lp150.2.16.1
  • python3-sss_nss_idmap >= 1.16.1-lp150.2.16.1
  • python3-sss_nss_idmap-debuginfo >= 1.16.1-lp150.2.16.1
  • python3-sssd-config >= 1.16.1-lp150.2.16.1
  • python3-sssd-config-debuginfo >= 1.16.1-lp150.2.16.1
  • sssd >= 1.16.1-lp150.2.16.1
  • sssd-32bit >= 1.16.1-lp150.2.16.1
  • sssd-32bit-debuginfo >= 1.16.1-lp150.2.16.1
  • sssd-ad >= 1.16.1-lp150.2.16.1
  • sssd-ad-debuginfo >= 1.16.1-lp150.2.16.1
  • sssd-dbus >= 1.16.1-lp150.2.16.1
  • sssd-dbus-debuginfo >= 1.16.1-lp150.2.16.1
  • sssd-debuginfo >= 1.16.1-lp150.2.16.1
  • sssd-debugsource >= 1.16.1-lp150.2.16.1
  • sssd-ipa >= 1.16.1-lp150.2.16.1
  • sssd-ipa-debuginfo >= 1.16.1-lp150.2.16.1
  • sssd-krb5 >= 1.16.1-lp150.2.16.1
  • sssd-krb5-common >= 1.16.1-lp150.2.16.1
  • sssd-krb5-common-debuginfo >= 1.16.1-lp150.2.16.1
  • sssd-krb5-debuginfo >= 1.16.1-lp150.2.16.1
  • sssd-ldap >= 1.16.1-lp150.2.16.1
  • sssd-ldap-debuginfo >= 1.16.1-lp150.2.16.1
  • sssd-proxy >= 1.16.1-lp150.2.16.1
  • sssd-proxy-debuginfo >= 1.16.1-lp150.2.16.1
  • sssd-tools >= 1.16.1-lp150.2.16.1
  • sssd-tools-debuginfo >= 1.16.1-lp150.2.16.1
  • sssd-wbclient >= 1.16.1-lp150.2.16.1
  • sssd-wbclient-debuginfo >= 1.16.1-lp150.2.16.1
  • sssd-wbclient-devel >= 1.16.1-lp150.2.16.1
  • sssd-winbind-idmap >= 1.16.1-lp150.2.16.1
  • sssd-winbind-idmap-debuginfo >= 1.16.1-lp150.2.16.1
Patchnames:
openSUSE-2019-1589
openSUSE Leap 15.1
  • libipa_hbac-devel >= 1.16.1-lp151.7.3.1
  • libipa_hbac0 >= 1.16.1-lp151.7.3.1
  • libipa_hbac0-debuginfo >= 1.16.1-lp151.7.3.1
  • libnfsidmap-sss >= 1.16.1-lp151.7.3.1
  • libnfsidmap-sss-debuginfo >= 1.16.1-lp151.7.3.1
  • libsss_certmap-devel >= 1.16.1-lp151.7.3.1
  • libsss_certmap0 >= 1.16.1-lp151.7.3.1
  • libsss_certmap0-debuginfo >= 1.16.1-lp151.7.3.1
  • libsss_idmap-devel >= 1.16.1-lp151.7.3.1
  • libsss_idmap0 >= 1.16.1-lp151.7.3.1
  • libsss_idmap0-debuginfo >= 1.16.1-lp151.7.3.1
  • libsss_nss_idmap-devel >= 1.16.1-lp151.7.3.1
  • libsss_nss_idmap0 >= 1.16.1-lp151.7.3.1
  • libsss_nss_idmap0-debuginfo >= 1.16.1-lp151.7.3.1
  • libsss_simpleifp-devel >= 1.16.1-lp151.7.3.1
  • libsss_simpleifp0 >= 1.16.1-lp151.7.3.1
  • libsss_simpleifp0-debuginfo >= 1.16.1-lp151.7.3.1
  • python3-ipa_hbac >= 1.16.1-lp151.7.3.1
  • python3-ipa_hbac-debuginfo >= 1.16.1-lp151.7.3.1
  • python3-sss-murmur >= 1.16.1-lp151.7.3.1
  • python3-sss-murmur-debuginfo >= 1.16.1-lp151.7.3.1
  • python3-sss_nss_idmap >= 1.16.1-lp151.7.3.1
  • python3-sss_nss_idmap-debuginfo >= 1.16.1-lp151.7.3.1
  • python3-sssd-config >= 1.16.1-lp151.7.3.1
  • python3-sssd-config-debuginfo >= 1.16.1-lp151.7.3.1
  • sssd >= 1.16.1-lp151.7.3.1
  • sssd-32bit >= 1.16.1-lp151.7.3.1
  • sssd-32bit-debuginfo >= 1.16.1-lp151.7.3.1
  • sssd-ad >= 1.16.1-lp151.7.3.1
  • sssd-ad-debuginfo >= 1.16.1-lp151.7.3.1
  • sssd-dbus >= 1.16.1-lp151.7.3.1
  • sssd-dbus-debuginfo >= 1.16.1-lp151.7.3.1
  • sssd-debuginfo >= 1.16.1-lp151.7.3.1
  • sssd-debugsource >= 1.16.1-lp151.7.3.1
  • sssd-ipa >= 1.16.1-lp151.7.3.1
  • sssd-ipa-debuginfo >= 1.16.1-lp151.7.3.1
  • sssd-krb5 >= 1.16.1-lp151.7.3.1
  • sssd-krb5-common >= 1.16.1-lp151.7.3.1
  • sssd-krb5-common-debuginfo >= 1.16.1-lp151.7.3.1
  • sssd-krb5-debuginfo >= 1.16.1-lp151.7.3.1
  • sssd-ldap >= 1.16.1-lp151.7.3.1
  • sssd-ldap-debuginfo >= 1.16.1-lp151.7.3.1
  • sssd-proxy >= 1.16.1-lp151.7.3.1
  • sssd-proxy-debuginfo >= 1.16.1-lp151.7.3.1
  • sssd-tools >= 1.16.1-lp151.7.3.1
  • sssd-tools-debuginfo >= 1.16.1-lp151.7.3.1
  • sssd-wbclient >= 1.16.1-lp151.7.3.1
  • sssd-wbclient-debuginfo >= 1.16.1-lp151.7.3.1
  • sssd-wbclient-devel >= 1.16.1-lp151.7.3.1
  • sssd-winbind-idmap >= 1.16.1-lp151.7.3.1
  • sssd-winbind-idmap-debuginfo >= 1.16.1-lp151.7.3.1
Patchnames:
openSUSE-2019-1589
openSUSE Leap 42.3
  • libipa_hbac-devel >= 1.13.4-21.1
  • libipa_hbac0 >= 1.13.4-21.1
  • libipa_hbac0-debuginfo >= 1.13.4-21.1
  • libsss_idmap-devel >= 1.13.4-21.1
  • libsss_idmap0 >= 1.13.4-21.1
  • libsss_idmap0-debuginfo >= 1.13.4-21.1
  • libsss_nss_idmap-devel >= 1.13.4-21.1
  • libsss_nss_idmap0 >= 1.13.4-21.1
  • libsss_nss_idmap0-debuginfo >= 1.13.4-21.1
  • libsss_sudo >= 1.13.4-21.1
  • libsss_sudo-debuginfo >= 1.13.4-21.1
  • python-ipa_hbac >= 1.13.4-21.1
  • python-ipa_hbac-debuginfo >= 1.13.4-21.1
  • python-sss_nss_idmap >= 1.13.4-21.1
  • python-sss_nss_idmap-debuginfo >= 1.13.4-21.1
  • python-sssd-config >= 1.13.4-21.1
  • python-sssd-config-debuginfo >= 1.13.4-21.1
  • sssd >= 1.13.4-21.1
  • sssd-32bit >= 1.13.4-21.1
  • sssd-ad >= 1.13.4-21.1
  • sssd-ad-debuginfo >= 1.13.4-21.1
  • sssd-debuginfo >= 1.13.4-21.1
  • sssd-debuginfo-32bit >= 1.13.4-21.1
  • sssd-debugsource >= 1.13.4-21.1
  • sssd-ipa >= 1.13.4-21.1
  • sssd-ipa-debuginfo >= 1.13.4-21.1
  • sssd-krb5 >= 1.13.4-21.1
  • sssd-krb5-common >= 1.13.4-21.1
  • sssd-krb5-common-debuginfo >= 1.13.4-21.1
  • sssd-krb5-debuginfo >= 1.13.4-21.1
  • sssd-ldap >= 1.13.4-21.1
  • sssd-ldap-debuginfo >= 1.13.4-21.1
  • sssd-proxy >= 1.13.4-21.1
  • sssd-proxy-debuginfo >= 1.13.4-21.1
  • sssd-tools >= 1.13.4-21.1
  • sssd-tools-debuginfo >= 1.13.4-21.1
Patchnames:
openSUSE-2019-1576


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP3 sssd Released
SUSE Linux Enterprise Desktop 12 SP4 sssd Affected
SUSE Linux Enterprise High Performance Computing 12 sssd Affected
SUSE Linux Enterprise Module for Basesystem 15 GA sssd Affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 sssd Affected
SUSE Linux Enterprise SDK 11 SP4 sssd Not affected
SUSE Linux Enterprise SDK 12 SP3 sssd Released
SUSE Linux Enterprise SDK 12 SP4 sssd Affected
SUSE Linux Enterprise Server 11 SP3 LTSS sssd Not affected
SUSE Linux Enterprise Server 11 SP4 sssd Not affected
SUSE Linux Enterprise Server 12 GA LTSS sssd Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS sssd Affected
SUSE Linux Enterprise Server 12 SP3 sssd Released
SUSE Linux Enterprise Server 12 SP4 sssd Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP3 sssd Not affected
SUSE Linux Enterprise Server for SAP Applications 12 GA sssd Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 sssd Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 sssd Affected